PolynomialFacade Class Reference
The Facade Module

A facade for operations on polynomials. More...

`#include <PolynomialFacade.h>`

Inheritance diagram for PolynomialFacade:

## Public Member Functions

| PolynomialFacade (bool printActions)
void | sortTerms (BigPolynomial &poly)
| Sort the terms of poly.
void | sortVariables (BigPolynomial &poly)
| Sort the variables of poly.

## Additional Inherited Members

Private Member Functions inherited from Facade
| Facade (bool printActions)
| Constructs a facade that prints out what it is doing if printActions is true.
virtual | ~Facade ()
void | printMessage (const char *message)
| Prints message to standard error if printing is turned on.
void | beginAction (const char *message)
| Prints message to standard error if printing is turned on, and records the time when the action started.
void | endAction ()
| Prints to standard error the time since the last call to beginAction.
bool | isPrintingActions () const
| Returns true if printing actions.

## Detailed Description

A facade for operations on polynomials.

Definition at line 28 of file PolynomialFacade.h.

## Constructor & Destructor Documentation

## PolynomialFacade()

PolynomialFacade::PolynomialFacade | ( | bool | printActions | ) |

Definition at line 22 of file PolynomialFacade.cpp.

## Member Function Documentation

## sortTerms()

void PolynomialFacade::sortTerms | ( | BigPolynomial & | poly | ) |

Sort the terms of poly.

Definition at line 26 of file PolynomialFacade.cpp.

## sortVariables()

void PolynomialFacade::sortVariables | ( | BigPolynomial & | poly | ) |

Sort the variables of poly.

Definition at line 34 of file PolynomialFacade.cpp.

The documentation for this class was generated from the following files:

- src/PolynomialFacade.h
- src/PolynomialFacade.cpp